<div class="response-page-container">
    <h1 class="title welcome-message">Hey {{userEmail}} !</h1> 
    <div class="response-template-content">
        <span class="response-template-text" [innerHTML]="responseTemplateContent"></span>
    </div>
    <div class="response-input-content">
        <textarea *ngIf="textResponse" name="response-message" [(ngModel)]="textValue" class="textarea" placeholder="Please write us a message!"></textarea>
        <div *ngIf="likertResponse" class="likert-content">
            <label class="likert-scale">Please rate the newsletter from 1-10</label>
            <mat-radio-group aria-labelledby="likert-scale" class="likert-scale-group" [(ngModel)]="likertValue">
                <mat-radio-button class="likert-button" *ngFor="let rating of likertScale" [value]="rating">
                    {{rating}}
                </mat-radio-button>
            </mat-radio-group>
        </div>
    </div>
    <button (click)="handleSubmit()" class="button is-primary submit-button">Submit</button>
</div>